import SettingIcon from '@/assets/icons/setting.svg?react';
import useBasic from '@/hooks/useBasic';
import { useUserStore } from '@/store/user';
import { ArrowSize8 } from '@nutui/icons-react';
import styles from './user-info.module.scss';

export default function UserInfo() {
  const { userInfo } = useUserStore();
  const { getDepartmentName, getJobName } = useBasic();
  return (
    <div>
      <div className="flex justify-end pr-4 pt-3 -mb-4">
        <SettingIcon height={24} width={24} />
      </div>
      <div className={styles.userInfo}>
        <div className={styles.avatar}>
          <img className="rounded-full overflow-hidden" src="https://loremflickr.com/80/80" alt="" />
        </div>
        <div className={styles.info}>
          <div className={styles.name}>{userInfo?.name}</div>
          <div className={styles.department}>
            <span>{userInfo?.company}</span>
            <span className="ml-2">
              <ArrowSize8 height={12} className="relative -top-[2px]" />
            </span>
          </div>
          <div>
            <span className={styles.tag}>{getDepartmentName(userInfo?.department || 0)}</span>
            <span className={styles.tag}>{getJobName(userInfo?.job || 0)}</span>
          </div>
        </div>
      </div>
    </div>
  );
}
