import { Button } from '@nutui/nutui-react';
import { CSSProperties } from 'react';
import { useNavigate } from 'react-router-dom';

function ErrorPage() {
  const navigate = useNavigate();
  const handleReload = () => {
    navigate('/portal');
  };

  return (
    <div style={styles.container}>
      <h1 style={styles.title}>出错了！</h1>
      <p style={styles.message}>抱歉，无法找到您访问的页面。</p>

      <div>
        <Button fill="solid" onClick={handleReload}>
          回到首页
        </Button>
      </div>
    </div>
  );
}

const styles: Record<string, CSSProperties> = {
  container: {
    display: 'flex',
    flexDirection: 'column',
    alignItems: 'center',
    justifyContent: 'center',
    height: '100vh',
    backgroundColor: '#f8d7da',
    color: '#721c24',
    textAlign: 'center',
    overflow: 'hidden',
  },
  title: {
    fontSize: '2rem',
    marginBottom: '1rem',
  },
  message: {
    fontSize: '1rem',
    marginBottom: '1.5rem',
  },
  button: {
    padding: '0.5rem 1rem',
    fontSize: '1rem',
    color: '#fff',
    backgroundColor: '#dc3545',
    border: 'none',
    borderRadius: '4px',
    cursor: 'pointer',
  },
};

export default ErrorPage;
